# Get Plan

> Get a public active plan by ID. No auth required.

Canonical URL: https://docs.botyard.io/docs/api/plans/get_plan_v1_plans__plan_id__get

`GET /v1/plans/{plan_id}`

Get a public active plan by ID. No auth required.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `plan_id` | path | yes | string |  |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | Successful Response | PlanResponse |
| `default` | RFC 9457 Problem Details error response | ProblemDetails |

Full schemas: operation `get_plan_v1_plans__plan_id__get` in the OpenAPI spec at https://api.botyard.io/openapi.json.
